ID

VAR-202404-0147


CVE

CVE-2024-3910


TITLE

Tenda AC500 has an unspecified vulnerability (CNVD-2024-20427)

Trust: 0.6

sources: CNVD: CNVD-2024-20427

DESCRIPTION

A vulnerability, which was classified as critical, has been found in Tenda AC500 2.0.1.9(1307). Affected by this issue is the function fromDhcpListClient of the file /goform/DhcpListClient. The manipulation of the argument page leads to stack-based buffer overflow. The attack may be launched remotely. The exploit has been disclosed to the public and may be used. VDB-261146 is the identifier assigned to this vulnerability. NOTE: The vendor was contacted early about this disclosure but did not respond in any way. Tenda AC500 is a Gigabit port access controller from China's Tenda company. No detailed vulnerability details are provided at this time

Trust: 1.44

sources: NVD: CVE-2024-3910 // CNVD: CNVD-2024-20427

IOT TAXONOMY

category:['Network device']sub_category: -

Trust: 0.6

sources: CNVD: CNVD-2024-20427

AFFECTED PRODUCTS

vendor:tendamodel:ac500scope:eqversion:2.0.1.9(1307)

Trust: 0.6

sources: CNVD: CNVD-2024-20427

CVSS

SEVERITY

CVSSV2

CVSSV3

cna@vuldb.com: CVE-2024-3910
value: HIGH

Trust: 1.0

CNVD: CNVD-2024-20427
value: HIGH

Trust: 0.6

cna@vuldb.com:
severity: HIGH
baseScore: 9.0
vectorString: AV:N/AC:L/AU:S/C:C/I:C/A:C
accessVector: NETWORK
accessComplexity: LOW
authentication: SINGLE
confidentialityImpact: COMPLETE
integrityImpact: COMPLETE
availabilityImpact: COMPLETE
exploitabilityScore: 8.0
impactScore: 10.0
acInsufInfo: FALSE
obtainAllPrivilege: FALSE
obtainUserPrivilege: FALSE
obtainOtherPrivilege: FALSE
userInteractionRequired: FALSE
version: 2.0

Trust: 1.0

CNVD: CNVD-2024-20427
severity: HIGH
baseScore: 9.0
vectorString: AV:N/AC:L/AU:S/C:C/I:C/A:C
accessVector: NETWORK
accessComplexity: LOW
authentication: SINGLE
confidentialityImpact: COMPLETE
integrityImpact: COMPLETE
availabilityImpact: COMPLETE
exploitabilityScore: 8.0
impactScore: 10.0
acInsufInfo: NONE
obtainAllPrivilege: NONE
obtainUserPrivilege: NONE
obtainOtherPrivilege: NONE
userInteractionRequired: NONE
version: 2.0

Trust: 0.6

cna@vuldb.com:
baseSeverity: HIGH
baseScore: 8.8
vectorString: CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:H
attackVector: NETWORK
attackComplexity: LOW
privilegesRequired: LOW
userInteraction: NONE
scope: UNCHANGED
confidentialityImpact: HIGH
integrityImpact: HIGH
availabilityImpact: HIGH
exploitabilityScore: 2.8
impactScore: 5.9
version: 3.1

Trust: 1.0

sources: CNVD: CNVD-2024-20427 // NVD: CVE-2024-3910

PROBLEMTYPE DATA

problemtype:CWE-121

Trust: 1.0

sources: NVD: CVE-2024-3910

PATCH

title:Patch for Tenda AC500 has an unspecified vulnerability (CNVD-2024-20427)url:https://www.cnvd.org.cn/patchinfo/show/544891

Trust: 0.6

sources: CNVD: CNVD-2024-20427

EXTERNAL IDS

db:NVDid:CVE-2024-3910

Trust: 1.6

db:VULDBid:261146

Trust: 1.6

db:CNVDid:CNVD-2024-20427

Trust: 0.6

sources: CNVD: CNVD-2024-20427 // NVD: CVE-2024-3910

REFERENCES

url:https://vuldb.com/?id.261146

Trust: 1.6

url:https://vuldb.com/?ctiid.261146

Trust: 1.6

url:https://vuldb.com/?submit.313805

Trust: 1.6

url:https://github.com/abcdefg-png/iot-vulnerable/blob/main/tenda/ac500/fromdhcplistclient_page.md

Trust: 1.6

url:https://cxsecurity.com/cveshow/cve-2024-3910/

Trust: 0.6

sources: CNVD: CNVD-2024-20427 // NVD: CVE-2024-3910

SOURCES

db:CNVDid:CNVD-2024-20427
db:NVDid:CVE-2024-3910

LAST UPDATE DATE

2024-05-17T23:03:13.577000+00:00


SOURCES UPDATE DATE

db:CNVDid:CNVD-2024-20427date:2024-04-26T00:00:00
db:NVDid:CVE-2024-3910date:2024-05-17T02:40:11.430

SOURCES RELEASE DATE

db:CNVDid:CNVD-2024-20427date:2024-04-25T00:00:00
db:NVDid:CVE-2024-3910date:2024-04-17T12:15:08.070